{* <!-- Event Cats (event categories) LucMorizur June 2009 - ... --> *}

{* <!-- Keeps file coded in UTF-8 without BOM : é --> *}

{include file=$HeaderIncTPL}

{* <!-- For help banner --> *}
<div style = "text-align:right; font-style:italic;" id = "ec_help_banner2">
  {'Help banner'|@translate}&nbsp;
  <label for = "ec_help_banner2_1" onclick = "ec_mark_help('ec_help_banner_1');">
    <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_1"/>
    {'Show'|@translate}
  </label>
  &nbsp;
  <label for = "ec_help_banner2_0" onclick = "ec_mark_help('ec_help_banner_0');">
    <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_0"/>
    {'Hide'|@translate}
  </label>
</div><span id = "ec_help_ban" style = "display:none;"></span>
<script type = "text/javascript"><!--
  document.getElementById('ec_help_banner2').style.display = "none";
//--></script>

<!-- Aknowledgement ----------------------------------------------------------
| A lot of below code has simply been copied-pasted from file cat_perm.tpl . |
| Many thanks to people who wrote it !                                       |
----------------------------------------------------------------------------->

{* <!-- Duplication configuration parameters --> *}
<form action = "" method = "post" class = "titrePage" name = "ec_duplic_conf">
  <fieldset>
    <legend>{'Configuration'|@translate}</legend>
    <table>
      <tr>
        <td style = "text-align:right; font-weight:bold;">
          {'Duplication allowance'|@translate}&nbsp;&nbsp;
        </td>
        <td>
          <label for = "ec_dup_conf_none_id">
            <input
              type = "radio" name = "ec_dup_conf" value = "0" id = "ec_dup_conf_none_id"
              {if $ec_conf.dup_allow == '0'} checked = "checked" {/if}
            />
            {'No account'|@translate}
          </label><br />
          <label for = "ec_dup_conf_group_id">
            <input
              type = "radio" name = "ec_dup_conf" value = "2" id = "ec_dup_conf_group_id"
              {if $ec_conf.dup_allow == '2'} checked = "checked" {/if}
            />
            {'Selection per group'|@translate}
          </label><br />
          <label for = "ec_dup_conf_all_id">
            <input
              type = "radio" name = "ec_dup_conf" value = "1" id = "ec_dup_conf_all_id"
              {if $ec_conf.dup_allow == '1'} checked = "checked" {/if}
            />
            {'All accounts'|@translate}
          </label>
        </td>
        <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td> {* <!-- sorry :-\ --> *}
        <td style = "text-align:right; font-weight:bold;">
          {$ec_dup_link_conf}&nbsp;&nbsp;
        </td>
        <td>
          <label for = "ec_dup_disp_normal_id">
            <input
              type = "radio" name = "ec_dup_disp" value = "0" id = "ec_dup_disp_normal_id"
              {if $ec_conf.duplic_display == '0'} checked = "checked" {/if}
            />
            {'No account'|@translate}
          </label><br />
          <label for = "ec_dup_disp_but_gen_id">
            <input
              type = "radio" name = "ec_dup_disp" value = "2" id = "ec_dup_disp_but_gen_id"
              {if $ec_conf.duplic_display == '2'} checked = "checked" {/if}
            />
            {'All but generics'|@translate}
          </label><br />
          <label for = "ec_dup_disp_dup_id">
            <input
              type = "radio" name = "ec_dup_disp" value = "1" id = "ec_dup_disp_dup_id"
              {if $ec_conf.duplic_display == '1'} checked = "checked" {/if}
            />
            {'All accounts'|@translate}
          </label><br />
        </td>
      </tr>
    </table><br />
    <input class = "submit" type = "submit" name = "ec_duplic_conf_submit" value = "{'Save dup. config btn'|@translate}" />
  </fieldset>
</form>

{* <!-- Duplication settings by groups / types / user ids --> *}
<form action = "" method = "post" name = "ec_duplic_set" id="categoryPermissions">
  
  <h4>{'Groups'|@translate}</h4>
  
  <fieldset>
    <legend>{'Duplication allowed'|@translate}</legend>
    <ul>
      {foreach from=$groups_granted_ids item=id}
      <li><label><input type = "checkbox" name = "deny_groups[]" value = "{$id}" /> {$all_groups[$id]}</label></li>
      {/foreach}
    </ul><br />
    <input class = "submit" type = "submit" name = "deny_groups_submit" value = "{'Deny to groups btn'|@translate}" />
  </fieldset>
  
  <fieldset>
    <legend>{'Duplication denied'|@translate}</legend>
    <ul>
      {foreach from=$groups_denied_ids item=id}
      <li><label><input type = "checkbox" name = "grant_groups[]" value = "{$id}"> {$all_groups[$id]}</label></li>
      {/foreach}
    </ul><br />
    <input class = "submit" type = "submit" name = "grant_groups_submit" value = "{'Grant to groups btn'|@translate}" />
  </fieldset>
  
  <h4>{'Types'|@translate}</h4>
  
  <fieldset>
    <legend>{'Duplication allowed'|@translate}</legend>
    <ul>
      {if $ec_gen_granted}
      <li><label><input type = "checkbox" name = "deny_generic" /> {'user_status_generic'|@translate}</label></li>
      <br />
      {/if}
      {foreach from=$types_granted_ids item=id}
        <li><label><input type = "checkbox" name = "deny_types[]" value = "{$id}" /> {$all_types[$id]}</label></li>
      {/foreach}
    </ul><br />
    <input class = "submit" type = "submit" name = "deny_types_submit" value = "{'Deny to types btn'|@translate}" />
  </fieldset>
  
  <fieldset>
    <legend>{'Duplication denied'|@translate}</legend>
    <ul>
      {if !$ec_gen_granted}
      <li><label><input type = "checkbox" name = "grant_generic" /> {'user_status_generic'|@translate}</label></li>
      <br />
      {/if}
      {foreach from=$types_denied_ids item=id}
        <li><label><input type = "checkbox" name = "grant_types[]" value = "{$id}" /> {$all_types[$id]}</label></li>
      {/foreach}
    </ul><br />
    <input class = "submit" type = "submit" name = "grant_types_submit" value = "{'Grant to types btn'|@translate}" />
  </fieldset>
  
  <h4>{'Users'|@translate}</h4>
  
  <fieldset>
    <legend>{'Duplication allowed'|@translate}</legend>
    <ul>
      {foreach from=$users_granted_direct_ids item=id}
      <li><label><input type = "checkbox" name = "deny_users[]" value = "{$id}" /> {$all_users[$id]}</label></li>
      {/foreach}
    </ul><br />
    <input class = "submit" type = "submit" name = "deny_users_submit" value = "{'Deny to users btn'|@translate}" />
  </fieldset>
  
  <fieldset>
    <legend>{'Dup. allowed tks to'|@translate}</legend>
    {if isset($user_granted_indirects) }
    <ul>
      {foreach from=$user_granted_indirects item=user_group}
      <li>{$user_group.USER} ({$user_group.GROUP})</li>
      {/foreach}
    </ul>
    {/if}
  </fieldset>
  
  <fieldset>
    <legend>{'Duplication denied'|@translate}</legend>
    <ul>
      {foreach from=$users_denied_ids item=id}
      <li><label><input type = "checkbox" name = "grant_users[]" value = "{$id}"> {$all_users[$id]}</label></li>
      {/foreach}
    </ul><br />
    <input class = "submit" type = "submit" name = "grant_users_submit" value = "{'Grant to users btn'|@translate}" />
  </fieldset>
  
</form>

{include file=$FooterIncTPL}

